# BIGINT data type

BIGINT provides 8 bytes of storage for integer values.

#### Syntax

    BIGINT

#### Corresponding compile-time Java type

java.lang.Long

#### JDBC metadata type (java.sql.Types)

BIGINT

#### Minimum value

-9223372036854775808 (java.lang.Long.MIN_VALUE)

#### Maximum value

9223372036854775807 (java.lang.Long.MAX_VALUE)

When mixed with other data types in expressions, the resulting data type follows the rules shown in Numeric type promotion in expressions.

An attempt to put an integer value of a larger storage size into a location of a smaller size fails if the value cannot be stored in the smaller-size location. Integer types can always successfully be placed in approximate numeric values, although with the possible loss of some precision. BIGINTs can be stored in DECIMALs if the DECIMAL precision is large enough for the value.

    9223372036854775807

Parent topic: Data types